%global pkg_name MissingH

%global common_summary Large utility library

%global common_description MissingH is a library of all sorts of utility functions for \
Haskell programmers. It is written in pure Haskell and thus \
should be extremely portable and easy to use.

%global ghc_pkg_deps ghc-HUnit-devel, ghc-hslogger-devel, ghc-mtl-devel, ghc-network-devel, ghc-parsec-devel, ghc-regex-compat-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.1.0.3
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
# Data/Hash/CRC32/GZip.hs is BSD
# Data/Hash/CRC32/Posix.hs is GPL+
# System/Path/NameManip.hs is LGPLv2+
# System/Time/ParseDate.hs is GPLv2 (newer parsedate is now BSD)
# all 40 other src (and testsrc) files are GPLv2+
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}

mv COPYRIGHT COPYRIGHT.orig
iconv -f iso8859-1 -t utf-8 COPYRIGHT.orig > COPYRIGHT


%build
%ghc_lib_build


%install
%ghc_lib_install

mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p TODO %{buildroot}%{_docdir}/%{name}-%{version}/TODO
install -m 644 -p COPYING %{buildroot}%{_docdir}/%{name}-%{version}/COPYING
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/3rd-party-licenses/
install -m 644 -p 3rd-party-licenses/BSD %{buildroot}%{_docdir}/%{name}-%{version}/3rd-party-licenses/BSD
install -m 644 -p 3rd-party-licenses/LGPL-2.1 %{buildroot}%{_docdir}/%{name}-%{version}/3rd-party-licenses/LGPL-2.1
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/announcements/
install -m 644 -p announcements/0.8.0.txt %{buildroot}%{_docdir}/%{name}-%{version}/announcements/0.8.0.txt
install -m 644 -p announcements/0.9.0.txt %{buildroot}%{_docdir}/%{name}-%{version}/announcements/0.9.0.txt
install -m 644 -p announcements/0.10.0.txt %{buildroot}%{_docdir}/%{name}-%{version}/announcements/0.10.0.txt


%{?ghc_lib_package}


%changelog
* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-6
- Update for broken dependencies

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Jens Petersen <petersen@redhat.com> - 1.1.0.3-4
- rebuild (for hslogger-1.1.3)

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-3
- Update to cabal2spec-0.22.4
- Rebuild

* Wed Sep 22 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.3-2
- use iconv to fix COPYRIGHT file encoding
- add license comments

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.0.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
